### Method

# Gio DBusInterfaceInfo lookup_property

since: 2.26

#### Declaration

    GDBusPropertyInfo*
    g_dbus_interface_info_lookup_property (
      GDBusInterfaceInfo* info,
      const gchar* name
    )

#### Description

Looks up information about a property.

The cost of this function is O(n) in number of properties unless `g_dbus_interface_info_cache_build()` has been used on `info`.

Available since: 2.26

#### Parameters

`name`

  Type: `const gchar*`

  A D-Bus property name (typically in CamelCase).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusPropertyInfo`

A `GDBusPropertyInfo` or `NULL` if not found. Do not free, it is owned by `info`.

The data is owned by the instance.
The return value can be `NULL`.